Mailinglist Archive: opensuse-packaging (107 mails)

< Previous Next >
[opensuse-packaging] PHP 5.3 soon to appear in Factory
  • From: Cristian Rodríguez <crrodriguez@xxxxxxx>
  • Date: Fri, 15 May 2009 17:40:11 -0400
  • Message-id: <4A0DE13B.30501@xxxxxxx>
Hi Folks:

Next week, we are going to migrate to the next mayor PHP release on
factory and buildservice repositories, this will cause some pain to
people who maintain or develop PHP applications.

Some key changes that you should be aware of:


* "namespace" , "goto" and "Closure" are now reserved keywords, so in
simple terms, you code cannot have functions or classes with that name,
this breaks for example some old versions of "Mediawiki" (it has a class
"Namespace" )

* The functions natsort, natcasesort, usort, uasort, uksort, array_flip,
array_unique had an undocumented but somewhat widely used misfeature
that allowed them to be used with objects, this has _never_ really
worked, on this release your program will fail to execute properly.

* You cannot use the pre mysql 4.1 "old password" feature, if you do so,
your software will fail with "cannot connect to MySQL 4.1+ using old
authentication"

* a new level called E_DEPRECATED has been implemented and will be
triggered if your script uses any of this functions

* all ereg_*
* define_syslog_variables()
* register_tick_function()

It may also appear at startup now or in the future if you are using any
of this misfeatures:

* register globals
* magic_quotes_*
* safe mode (ehem)

Know issues:

If your script is *exactly* 8 Kilobytes size, PHP will crash, this is
not really a bug in PHP but a bug in re2c. It is being looked into, do
not fill bug reports on it ;-)


Thanks for flying with openSUSE.

--
Cristian Rodríguez R.
Software Developer
Platform/OpenSUSE - Core Services
SUSE LINUX Products GmbH
Research & Development
http://www.opensuse.org/


< Previous Next >
This Thread
  • No further messages